Bug 1415554 - [infrastructure_public_271] PodNodeSelector related validation issue
Summary: [infrastructure_public_271] PodNodeSelector related validation issue
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Seth Jennings
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 03:18 UTC by DeShuai Ma
Modified: 2019-07-03 18:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-03 18:04:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description DeShuai Ma 2017-01-23 03:18:21 UTC
Description of problem:
Test PodNodeSelector on ocp-3.5, still have the same issue with upstream, using this bug to trace upstream PodNodeSelector related issue, just in case we forget it.

https://github.com/kubernetes/kubernetes/issues/35505
https://github.com/kubernetes/kubernetes/issues/35506

Version-Release number of selected component (if applicable):
openshift v3.5.0.7+390ef18
kubernetes v1.5.2+43a9be4
etcd 3.1.0-rc.0

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Avesh Agarwal 2017-01-23 14:04:09 UTC
I have PRs in flight to address these issues in kube upstream:

https://github.com/kubernetes/kubernetes/pull/35554
https://github.com/kubernetes/kubernetes/pull/36395

Comment 2 Derek Carr 2017-01-31 22:57:01 UTC
Reducing priority as this is not a release blocker.

Will review related PRs though.

Comment 5 Greg Blomquist 2019-07-03 18:04:56 UTC
Discussion in upstream PRs indicates that we're not likely to implement this.


Note You need to log in before you can comment on or make changes to this bug.